{ config, lib, pkgs, inputs, ... }:

{
  # Simply install just the packages
  environment.packages = with pkgs; [
    # User-facing stuff that you really really want to have
    vim # or some other editor, e.g. nano or neovim
    emacs
    git

    openssh
    which

    # Some common stuff that people expect to have
    procps
    killall
    diffutils
    findutils
    utillinux
    #tzdata
    hostname
    man
    gnugrep
    #gnupg
    #gnused
    gnutar
    #bzip2
    #gzip
    #xz
    #zip
    #unzip
  ];

  # Backup etc files instead of failing to activate generation if a file already exists in /etc
  environment.etcBackupExtension = ".bak";

  # Read the changelog before changing this value
  system.stateVersion = "24.05";

  # Set up nix for flakes
  nix.extraOptions = ''
    experimental-features = nix-command flakes
  '';

  user.shell = "${lib.getExe pkgs.zsh}";

  # Set your time zone
  #time.timeZone = "Europe/Berlin";

  home-manager = {
    extraSpecialArgs = {inherit inputs;};
    config = ./home.nix;
    backupFileExtension = "hm-bak";
    useGlobalPkgs = true;
    useUserPackages = true;
  };
}
