{
  config,
  pkgs,
  ...
}: {
  imports = [
    ../../modules/home-manager/hyprland.nix
    ../../modules/home-manager/git
    ../../modules/home-manager/nixvim
    ../../modules/home-manager/kitty
    ../../modules/home-manager/zsh
    ../../modules/home-manager/tmux
    ../../modules/home-manager/taskwarrior
    ../../modules/home-manager/email
    ../../modules/home-manager/syncthing.nix
    ../../modules/home-manager/bitwarden.nix
    ../../modules/home-manager/kubernetes.nix
    ../../modules/home-manager/nix-index.nix
    ../../modules/home-manager/bitwarden.nix
    ../../modules/home-manager/network-manager-applet.nix
    ../../modules/home-manager/pasystray.nix
  ];
  home.username = "mthomson";
  home.homeDirectory = "/home/mthomson";
  home.stateVersion = "23.11";

  home.sessionVariables = {
    ZK_NOTEBOOK_DIR = "\${HOME}/zk";
  };

  programs = {
    direnv = {
      enable = true;
      enableZshIntegration = true; # see note on other shells below
      nix-direnv.enable = true;
    };
    jq = {
      enable = true;
    };
    lazygit = {
      enable = true;
    };
    man = {
      enable = true;
    };
    tealdeer = {
      enable = true;
      settings.updates.auto_update = true;
    };
    helix = {
      enable = true;
    };
    neovide = {
      enable = true;
      settings = {};
    };
  };

  services.blueman-applet.enable = true;
  services.dunst.enable = true;

  home.packages = with pkgs; [
    firefox
    gcc
  ];

  home.sessionVariables = {
    STEAM_EXTRA_COMPAT_TOOLS_PATH = "\${HOME}/.steam/root/compatibilitytools.d";
  };

  programs.home-manager.enable = true;
}
